Skip to main content
`Ctrl`+`K`
scipy.sparse.linalg.LinearOperator.

# matmat

LinearOperator.matmat(X)

  Matrix-matrix multiplication.

  Performs the operation y=A@X where A is an MxN linear operator and X dense N*K matrix or ndarray.

  Parameters:
    X{matrix, ndarray}

      An array with shape (N,K).

  Returns:
    Y{matrix, ndarray}

      A matrix or ndarray with shape (M,K) depending on the type of the X argument.

  Notes

  This matmat wraps any user-specified matmat routine or overridden _matmat method to ensure that y has the correct type.